# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class GoogleBaseService.Versions

    java.lang.Object
      com.google.api.gbase.client.GoogleBaseService.Versions

Enclosing class:
  GoogleBaseService

    public static class GoogleBaseService.Versions

extends java.lang.Object

The Versions class contains all released versions of the Google Base API

Field Summary
`static Version` `V1` Version 1 of the Google Base API.
`static Version` `V2` Version 2 of the Google Base API.

Constructor Summary
`GoogleBaseService.Versions()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### V1

    public static final Version V1

  Version 1 of the Google Base API. This is the initial version of the API and is based upon Version 1 of the GData Protocol.

### V2

    public static final Version V2

  Version 2 of the Google Base API. This version of the API adds full compliance with the Atom Publishing Protocol and is based upon Version 2 of the GData protocol.

Constructor Detail

### GoogleBaseService.Versions

    public GoogleBaseService.Versions()